[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.OnGetEditMask

Event handler signalled to get the edit mask used for a grid cell.

## Declaration

Source position: grids.pas line 1560

`public property TCustomDrawGrid.OnGetEditMask : TGetEditEvent read FOnGetEditMask write FOnGetEditMask;`

## Description

Signalled from the GetEditMask method (when assigned). It provides the value passed in a GM_SETMASK message to the cell Editor in the control when the EditorGetValue method is executed.

## See also

TCustomDrawGrid.GetEditMask |  | Gets the edit mask for the specified cell.
TCustomGrid.EditorDoSetValue |  | Sets the mask and value for a visible cell editor in the grid control.